﻿.onlineStatusCardPane {
    position: absolute;
    box-shadow: 0 0px 6px 0 rgba(0, 0, 0, .25);
    border-radius: 6px;
    padding: 16px;
    background: white;
    margin-top: calc(100% + 5px);
    top: 0;
    line-height: normal;
    z-index: 2;
}

    .onlineStatusCardPane .topPane {
        display: flex;
        margin-bottom: 16px;
    }

        .onlineStatusCardPane .topPane .userIcon {
            width: 45px;
            height: 45px;
            margin-right: 8px;
            flex-shrink: 0;
            align-self: center;
            border-radius: 50%;
            background: no-repeat center/100%;
        }

        .onlineStatusCardPane .topPane .rightPane {
            display: inline-block;
        }

            .onlineStatusCardPane .topPane .rightPane .userName {
                width: 200px;
                font-size: 16px;
                color: #373737;
                color: var(--color_373737);
                font-weight: 400;
                margin-bottom: 4px;
                overflow: hidden;
                text-overflow: ellipsis;
                -webkit-line-clamp: 2;
                display: -webkit-box;
                -webkit-box-orient: vertical;
            }

        .onlineStatusCardPane .topPane .currentStatusPane {
            display: flex;
            line-height: 17px;
        }

            .onlineStatusCardPane .topPane .currentStatusPane .onlineStatusLightPane {
                position: relative;
                width: 16px;
                height: 16px;
            }

            .onlineStatusCardPane .topPane .currentStatusPane .currentStatusContent {
                font-size: 14px;
                color: #5B5B5B;
                color: var(--color_5B5B5B);
                font-weight: 400;
                margin-right: 4px;
            }

            .onlineStatusCardPane .topPane .currentStatusPane .statusArrowPane {
                position:relative;
            }

            .onlineStatusCardPane .topPane .currentStatusPane img {
                width: 10px;
                height: 6px;
                position: relative;
                display: block;
                top: 50%;
                transform: translateY(-50%);
            }

    .onlineStatusCardPane .bottomPane {
        display: flex;
        justify-content: space-between;
        border: 1px solid #DCDCDC;
        border-color: var(--color_DCDCDC);
        border-radius: 20px;
        padding: 7px;
    }

        .onlineStatusCardPane .bottomPane:hover {
            background: #EBEBEB;
            background: var(--color_EBEBEB);
        }

        .onlineStatusCardPane .bottomPane:active {
            background: #DCDCDC;
            background: var(--color_DCDCDC);
        }

        .onlineStatusCardPane .bottomPane .statusMessage {
            width: 100%;
            text-align: left;
            overflow: hidden;
            margin-left: 4px;
            white-space: normal;
        }

            .onlineStatusCardPane .bottomPane .statusMessage.statusEmptyMessage {
                text-align: center;
                margin-left: 0;
            }

        .onlineStatusCardPane .bottomPane .clearBtn {
            background: url(../images/btn_contacts_del.png) no-repeat center/100%;
            width: 18px;
            height: 18px;
            margin-left: 8px;
            opacity: 0.6
        }

            .onlineStatusCardPane .bottomPane .clearBtn:hover, 
            .onlineStatusCardPane .bottomPane .clearBtn:active {
                opacity: 1;
            }
